sar(1)

NAME
sar - system activity reporter

SYNOPSIS
sar [-dgpu] [-n mode] [-o filename] t [n]
sar [-dgpu] [-n mode] [-e time] [-f filename] [-i seconds] [-s time]

DESCRIPTION
The sar command is used to sample and report various cumulative statistic counters maintained by the operating system. It can be invoked in two different ways.

In the first usage instance, n samples are reported at t second intervals. If n is not specified, only one sample will be captured. When the -o option is specified, sar will write the binary sampling data to the output file specified by filename.

In the second usage instance, there is no on-going sample interval to specify. This is because the sampling input comes from a previously recorded, binary activity file. The binary activity file can be specified using the -f filename option. When the -f option isn't used, sar attempts to open a default binary activity file, /var/log/sa/sadd, where dd represents the current day of the month.

The starting and ending time of the report can be restricted using the -e and -s options. Here, the time field is specified in the form hh[:mm[:ss]].

Finally, the -i option can be used to select the sampling interval. Only records at least seconds apart will be reported. When the -i option is not used, all of the previously recorded interval samples are reported.

Due to the nature of on-going sample collection, the data is reported in a verbose mode when more than one sampling option is specified. Column headers are printed at the beginning of the report; averages are printed when the sar command terminates.

OPTIONS
The following options restrict the sample set that sar reports.

-d  Report disk activity.

    device
        The BSD name of the device.

    r+w/s
        The number of reads and writes per second.

    blks/s
        Number of blocks (in device's default blocksize) transferred to a device per second.

-g  Report page-out activity.

    pgout/s
        The number of pages paged out per second.

-p  Report page-in and page fault activity

    pgin/s
        The number of pages paged in per second.

    pflts/s
        The number of faults that caused a page to be copied in per second.

    vflts/s
        The number of times vm_fault routine has been called.

-n mode
    Report network activity with modes DEV, EDEV, or PPP. Multiple network modes can be specified.

    DEV The DEV mode reports network device statistics. The following information is displayed for each interface.

        IFACE
            The network interface name.

        Ipkts/s
            The number of packets received per second.

        Ibytes/s
            The number of bytes received per second.

        Opkts/s
            The number of packets sent per second.

        Obytes/s
            The number of bytes sent per second.

    EDEV
        The EDEV mode reports network device error statistics. The following information is displayed for each interface.

        IFACE
            The interface name.

        Ierrs/s
            The input errors per second.

        Oerrs/s
            The output errors per second.

        Coll/s
            The collisions that occurred per second.

        Drops/s
            The number of dropped packets per second.

    PPP The PPP mode must be specified in order to display ppp connections in the network statistics. This will also turn on the PPP modify mode in sadc (8) when sampling data is not being read from a file. By default, both the collection and reporting of ppp statistics is turned off. See sadc (8).

-u  Report CPU activity (default)

    %usr, %sys, and %idle

    These report the percentage of time running in user mode, system mode and idle.

FILES
/var/log/sa/sadd
    Default daily activity file that holds the binary sampling data. dd are digits that represent the day of the month.

SEE ALSO
fs_usage(1), netstat(1), sc_usage(1), top(1), vm_stat(1), iostat(8), sa1(8), sa2(8), sadc(8)